# Functor Core_set.Make_binable_using_comparator

    module Make_binable_using_comparator: functor (Elt : sig
    type t

    include Comparator.S

    val t_of_sexp : Sexplib.Sexp.t -> t
    val sexp_of_t : t -> Sexplib.Sexp.t
    val bin_t : t Bin_prot.Type_class.t
    val bin_read_t : t Bin_prot.Read.reader
    val __bin_read_t__ : (int -> t) Bin_prot.Read.reader
    val bin_reader_t : t Bin_prot.Type_class.reader
    val bin_size_t : t Bin_prot.Size.sizer
    val bin_write_t : t Bin_prot.Write.writer
    val bin_writer_t : t Bin_prot.Type_class.writerend) -> S_binable
        with type Elt.t = Elt.t
        with type Elt.comparator_witness = Elt.comparator_witness

Parameters:

`Elt` | : | `sig type t with bin_io, sexp include Comparator.S with type t := t end`